Bug 231198 - net-mgmt/networkmgr 2.8 fails to build
Summary: net-mgmt/networkmgr 2.8 fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Eric Turgeon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-06 16:04 UTC by Minbari
Modified: 2018-09-27 19:09 UTC (History)
2 users (show)

See Also:
ericbsd: maintainer-feedback-


Attachments
Fix shebangs (2.13 KB, patch)
2018-09-07 01:46 UTC, Nathan
no flags Details | Diff
Fix shebangs (1.91 KB, patch)
2018-09-09 03:15 UTC, Nathan
ericbsd: maintainer-approval-
ericbsd: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Minbari 2018-09-06 16:04:32 UTC
net-mgmt/networkmgr 2.8 fails to build on FreeBSD 11.2 amd64. The error is:
====> Running Q/A tests (stage-qa)
Error: '/usr/bin/evn' is an invalid shebang you need USES=shebangfix for 'share/networkmgr/net_api.py'
Error: '/usr/bin/env python' is an invalid shebang you need USES=shebangfix for 'share/networkmgr/authentication.py'
Error: '/usr/bin/env python' is an invalid shebang you need USES=shebangfix for 'share/networkmgr/trayicon.py'
*** Error code 1

The shebangfix suggestion did not work. Also the error on share/networkmgr/net_api.py, it consistently shows /usr/bin/evn instead of /usr/bin/env.
Comment 1 Nathan 2018-09-07 01:46:18 UTC
Created attachment 196932 [details]
Fix shebangs

net-mgmt/networkmgr: Fix shebangs
Comment 2 Minbari 2018-09-07 12:10:29 UTC
I tried that solution before I've reported the bug, it's not working!
Comment 3 Nathan 2018-09-07 12:12:01 UTC
(In reply to Minbari from comment #2)
Did you try patch
Comment 4 Nathan 2018-09-07 19:44:14 UTC
(In reply to Minbari from comment #2)
The patch provided should work. As the shebangfix fixes two while the post install takes care of last one because upstream misspelled env
Comment 5 Minbari 2018-09-08 06:47:39 UTC
(In reply to Nathan from comment #4)
Now after I apply Your patch the port is building OK, but networkmgr it's not working or at least it's not displaying any status because of that typing misspell.

networkmgr                                                                                                                                                      
Traceback (most recent call last):
  File "/usr/local/bin/networkmgr", line 8, in <module>
    from trayicon import trayIcon
  File "/usr/local/share/networkmgr/trayicon.py", line 41, in <module>
    from net_api import wiredonlineinfo, stopnetworkcard, isanewnetworkcardinstall
  File "/usr/local/share/networkmgr/net_api.py", line 1
    /usr/local/bin/python3.6
    ^
SyntaxError: invalid syntax
Comment 6 Nathan 2018-09-09 03:10:24 UTC
Ah I see what I did, will fix
Comment 7 Nathan 2018-09-09 03:15:09 UTC
Created attachment 196975 [details]
Fix shebangs

Fix shebangs

net-mgmt/networkmgr: Fix shebangs
Comment 8 Minbari 2018-09-09 09:44:27 UTC
(In reply to Nathan from comment #7)
Now it's working OK. Thank you! Bug closed
Comment 9 Nathan 2018-09-09 15:52:56 UTC
(In reply to Minbari from comment #8)
Reopen bug. Patch needs to be uploaded to ports
Comment 10 Minbari 2018-09-09 16:03:07 UTC
(In reply to Nathan from comment #9)
 I'm sorry it's my first PR.
Comment 11 Minbari 2018-09-09 16:07:50 UTC
After You update the port, let me a message so I can close this bug report, or if You can close it. Thank you!
Comment 12 Nathan 2018-09-09 16:10:29 UTC
(In reply to Minbari from comment #11)
I can't open/close reports nor commit patches to ports. Got to wait for maintainer of this port to responded or wait for timeout and a committer to submit the patch.
Comment 13 Minbari 2018-09-25 09:42:46 UTC
(In reply to Nathan from comment #12)
Does the mantainer of this port read the bug reports? He just pushed to the next version (2.9) without those fixes submitted by you Nathan, and evidently the build fails without them. I've sent him an email, hopefully he will respond and fix this problem.
Comment 14 Eric Turgeon freebsd_committer 2018-09-25 18:30:35 UTC
It is a work in progress I am waiting for my mentor to confirm before committing https://reviews.freebsd.org/D17317.
Comment 15 Eric Turgeon freebsd_committer 2018-09-25 18:46:58 UTC
Comment on attachment 196975 [details]
Fix shebangs

patch missing gtk-update-icon-cache and out of date.
Comment 16 commit-hook freebsd_committer 2018-09-27 19:01:20 UTC
A commit references this bug:

Author: ericbsd
Date: Thu Sep 27 19:00:28 UTC 2018
New revision: 480811
URL: https://svnweb.freebsd.org/changeset/ports/480811

Log:
  Update net-mgmt/networkmgr to 3.0 and add shebangfix

  PR:		231198
  Approved by:	wg (mentor)

Changes:
  head/net-mgmt/networkmgr/Makefile
  head/net-mgmt/networkmgr/distinfo
  head/net-mgmt/networkmgr/pkg-plist